# apply

abstract fun apply(closure: Closure)

Configures the delegate object for this script using plugins or scripts.

The given closure is used to configure an org.gradle.api.plugins.ObjectConfigurationAction which is then used to configure the delegate object.

#### Parameters

closure

The closure to configure the `ObjectConfigurationAction`.

abstract fun apply(options: Map<String, out Any>)

Configures the delegate object for this script using plugins or scripts.

The following options are available:

- `from`: A script to apply to the delegate object. Accepts any path supported by uri.
- `plugin`: The id or implementation class of the plugin to apply to the delegate object.
- `to`: The target delegate object or objects.

For more detail, see org.gradle.api.plugins.ObjectConfigurationAction.

#### Parameters

options

The options to use to configure the `ObjectConfigurationAction`.